# $Revision: 1.19 $, $Date: 2010/11/12 23:38:02 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Clone
Summary:	Clone - Perl module for recursively copying Perl datatypes
Summary(pl.UTF-8):	Clone - moduł Perla obsługujący rekursywne kopiowanie zmiennych w Perlu
Name:		perl-Clone
Version:	0.31
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Clone/%{pdir}-%{version}.tar.gz
# Source0-md5:	65f34e7280d7b7dfb72ab6224e5767f5
URL:		http://search.cpan.org/dist/Clone/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a clone() method which makes recursive copies
of nested hash, array, scalar and reference types, including tied
variables and objects.

%description -l pl.UTF-8
Ten moduł dostarcza clone(), metodę służącą do rekurencyjnego
kopiowania zagnieżdżonych tablic asocjacyjnych, tablic, skalarów i
referencji, włącznie ze związanymi zmiennymi i obiektami.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Clone.pm
%{perl_vendorarch}/auto/Clone/Clone.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Clone/Clone.so
%{perl_vendorarch}/auto/Clone/autosplit.ix
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Clone.spec,v $
Revision 1.19  2010/11/12 23:38:02  pawelz
- release 3

Revision 1.18  2010/06/06 08:32:01  arekm
- release 2

Revision 1.17  2009/06/16 13:28:26  amateja
- updated to 0.31

Revision 1.16  2008/12/14 12:09:03  agaran
- up to 0.30, rel 1

Revision 1.15  2008/02/10 12:01:54  arekm
- rel 2

Revision 1.14  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.13  2007-12-26 21:48:34  zbyniu
- up to 0.28

Revision 1.12  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:26  baggins
- converted to UTF-8

Revision 1.10  2006/12/22 12:29:53  qboosh
- updated to 0.22

Revision 1.9  2006/04/08 13:43:17  agaran
- up to 0.20 rel 1 builds here

Revision 1.8  2005/06/22 16:58:47  czucz
- updated to 0.18

Revision 1.7  2004/11/03 22:30:10  paladine
- formatting

Revision 1.6  2004/04/18 16:56:36  ankry
- license fixes and unification

Revision 1.5  2004/04/13 18:46:11  qboosh
- pl fixes

Revision 1.4  2004/04/13 06:58:27  ankry
- cosmetics

Revision 1.3  2004/04/13 06:03:22  twittner
- typos

Revision 1.2  2004/04/13 05:27:56  agaran
pl descr fixed

Revision 1.1  2004/04/13 05:17:10  agaran
initial, nfy
